Get resource policy revision
GET
/
api
/
headless
/
v1
/
organizations
/
{organizationId}
/
resource-policies
/
{familyPolicyId}
/
revisions
/
{revision}
Get resource policy revision
curl --request GET \
--url https://api.forge.ai/api/headless/v1/organizations/{organizationId}/resource-policies/{familyPolicyId}/revisions/{revision} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/resource-policies/{familyPolicyId}/revisions/{revision}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.forge.ai/api/headless/v1/organizations/{organizationId}/resource-policies/{familyPolicyId}/revisions/{revision}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/resource-policies/{familyPolicyId}/revisions/{revision}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"item": {
"organizationId": "<string>",
"policyId": "<string>",
"revision": 2,
"family": "resource",
"schemaVersion": "<string>",
"definitionSha256": "<string>",
"definition": {},
"managementMode": "forge",
"sourceRef": {},
"createdAt": "2023-11-07T05:31:56Z",
"managerId": "<string>",
"managerInstance": "<string>",
"createdBy": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Enter a Forge service-account token or delegated OAuth access token. Mintlify adds the Bearer prefix.
Path Parameters
Required range:
x >= 1Query Parameters
Response
One historical Resource Policy revision.
Show child attributes
Show child attributes
⌘I
Get resource policy revision
curl --request GET \
--url https://api.forge.ai/api/headless/v1/organizations/{organizationId}/resource-policies/{familyPolicyId}/revisions/{revision} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/resource-policies/{familyPolicyId}/revisions/{revision}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.forge.ai/api/headless/v1/organizations/{organizationId}/resource-policies/{familyPolicyId}/revisions/{revision}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.forge.ai/api/headless/v1/organizations/{organizationId}/resource-policies/{familyPolicyId}/revisions/{revision}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"item": {
"organizationId": "<string>",
"policyId": "<string>",
"revision": 2,
"family": "resource",
"schemaVersion": "<string>",
"definitionSha256": "<string>",
"definition": {},
"managementMode": "forge",
"sourceRef": {},
"createdAt": "2023-11-07T05:31:56Z",
"managerId": "<string>",
"managerInstance": "<string>",
"createdBy": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}